Summary:	SPICE protocol headers
Summary(pl.UTF-8):	Pliki nagłówkowe protokołu SPICE
Name:		spice-protocol
Version:	0.14.4
Release:	1
License:	BSD
Group:		Development/Libraries
Source0:	https://www.spice-space.org/download/releases/%{name}-%{version}.tar.xz
# Source0-md5:	6c8e9b14ce9e6b6357dd5ebd05a1a331
URL:		https://www.spice-space.org/
BuildRequires:	meson >= 0.41.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Header files defining the SPICE protocol.

The Spice project aims to provide a complete open source solution for
interaction with virtualized desktop devices.

%description -l pl.UTF-8
Pliki nagłówkowe protokołu SPICE.

Celem projektu Spice jest dostarczenie pełnego, mającego otwarte
źródła rozwiązania do interakcji z wirtualizowanymi urządzeniami
biurkowymi.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md COPYING README.md
%{_includedir}/spice-1
%{_npkgconfigdir}/spice-protocol.pc
%changelog
* Sat Feb 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spice-protocol.git;a=log;h=master

* Fri Feb 11 2022 Jan Palus <atler@pld-linux.org> 8eb1e20
- up to 0.14.4

* Wed Dec 09 2020 Jan Palus <atler@pld-linux.org> 46062f2
- up to 0.14.3

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> fc320cd
- updated to 0.14.2

* Tue Mar 10 2020 Jan Palus <atler@pld-linux.org> 063096f
- up to 0.14.1

* Tue Apr 16 2019 Jan Palus <atler@pld-linux.org> 7c9976c
- up to 0.14.0

* Mon Jan 14 2019 Jan Palus <atler@pld-linux.org> 39ce6e9
- up to 0.12.15

* Tue Jun 12 2018 Jan Palus <atler@pld-linux.org> 1574208
- up to 0.12.14

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 33e130a
- updated to 0.12.13

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> b819996
- updated to 0.12.12

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 6d7a6f4
- updated to 0.12.11
- codegen is gone (0.12.10 saved in spice-protocol-codegen.spec)

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> cbb6b5e
- updated to 0.12.10
- added -codegen package

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> b0f253c
- updated to 0.12.9

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b431f4
- updated to 0.12.8

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 982f8ab
- updated to 0.12.7

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 702bb70
- updated to 0.12.6

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 9cd53d6
- updated to 0.12.5

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 4eef9c2
- updated to 0.12.4

* Fri Jan 04 2013 Jakub Bogusz <qboosh@pld-linux.org> b51cc5e
- updated to 0.12.3

* Tue Sep 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 6a9e3fc
- updated to 0.12.2

* Sun Sep 09 2012 Jakub Bogusz <qboosh@pld-linux.org> de8d641
- updated to 0.12.1

